"use weex:vue";

if (typeof Promise !== 'undefined' && !Promise.prototype.finally) {
  Promise.prototype.finally = function(callback) {
    const promise = this.constructor
    return this.then(
      value => promise.resolve(callback()).then(() => value),
      reason => promise.resolve(callback()).then(() => {
        throw reason
      })
    )
  }
};

if (typeof uni !== 'undefined' && uni && uni.requireGlobal) {
  const global = uni.requireGlobal()
  ArrayBuffer = global.ArrayBuffer
  Int8Array = global.Int8Array
  Uint8Array = global.Uint8Array
  Uint8ClampedArray = global.Uint8ClampedArray
  Int16Array = global.Int16Array
  Uint16Array = global.Uint16Array
  Int32Array = global.Int32Array
  Uint32Array = global.Uint32Array
  Float32Array = global.Float32Array
  Float64Array = global.Float64Array
  BigInt64Array = global.BigInt64Array
  BigUint64Array = global.BigUint64Array
};


(()=>{var v=Object.create;var g=Object.defineProperty;var A=Object.getOwnPropertyDescriptor;var y=Object.getOwnPropertyNames;var I=Object.getPrototypeOf,R=Object.prototype.hasOwnProperty;var k=(o,t)=>()=>(t||o((t={exports:{}}).exports,t),t.exports);var C=(o,t,r,n)=>{if(t&&typeof t=="object"||typeof t=="function")for(let s of y(t))!R.call(o,s)&&s!==r&&g(o,s,{get:()=>t[s],enumerable:!(n=A(t,s))||n.enumerable});return o};var f=(o,t,r)=>(r=o!=null?v(I(o)):{},C(t||!o||!o.__esModule?g(r,"default",{value:o,enumerable:!0}):r,o));var u=k((L,h)=>{h.exports=Vue});var W=f(u());function w(o){return weex.requireModule(o)}function a(o,t,...r){uni.__log__?uni.__log__(o,t,...r):console[o].apply(console,[...r,t])}var _=(o,t)=>{let r=o.__vccOpts||o;for(let[n,s]of t)r[n]=s;return r};var e=f(u()),S="/static/home/reward_bg.png",B="/static/home/reward_title.png",T="/static/home/reward_hb.png",V="/static/home/reward_btn.png",N="/static/home/gold_bg.png",P="/static/home/jxts.png",D="/static/home/close.png",M={container:{"":{width:100,height:100,display:"flex",flexDirection:"column"}},content:{"":{marginTop:"20rpx",marginRight:"30rpx",marginBottom:0,marginLeft:"30rpx"}},flx:{"":{display:"flex"}},"flx-center":{"":{display:"flex",alignItems:"center"}},"flx-between-center":{"":{display:"flex",alignItems:"center",justifyContent:"space-between"}},"flx-column-center":{"":{display:"flex",flexDirection:"column",alignItems:"center"}},reward_pages:{"":{flex:1,flexDirection:"column",justifyContent:"center",alignItems:"center"}},bg:{".reward_pages ":{height:"780rpx",width:"658rpx"}},title:{".reward_pages ":{height:"160rpx",width:"400rpx",position:"absolute",top:"160rpx",left:"125rpx"}},hb:{".reward_pages ":{height:"180rpx",width:"250rpx",position:"absolute",top:"250rpx",left:"210rpx"}},progress:{".reward_pages ":{width:"320rpx",borderRadius:4,overflow:"hidden",position:"absolute",top:"420rpx",left:"170rpx"}},btn:{".reward_pages ":{width:"480rpx",height:"240rpx",position:"absolute",left:"100rpx",top:"400rpx"}},"close-btn":{".reward_pages ":{width:"80rpx",height:"80rpx",position:"absolute",zIndex:99999,left:"330rpx",top:"1000rpx"}},"gold-bg":{".reward_pages ":{height:"262rpx",width:"500rpx",position:"absolute",top:"220rpx",left:"70rpx"}},"jxts-btn":{".reward_pages ":{width:"408rpx",height:"160rpx",position:"absolute",top:"400rpx",left:"120rpx"}},"text-btn":{".reward_pages ":{color:"#222222",fontSize:"26rpx",position:"absolute",top:"550rpx",left:"270rpx"}},gold:{".reward_pages ":{color:"#ffffff",fontSize:"60rpx",fontWeight:"700",position:"absolute",top:"282rpx",left:"134rpx",width:"384rpx",height:"145rpx",borderRadius:"50rpx",textAlign:"center",lineHeight:"145rpx"}},"gold-unit":{".reward_pages ":{color:"#ffffff"}}},p=w("ZWF-TakuModule"),j={data(){return{percent:0,interval:5,isShowBtn:!1,adResultInfo:null,goldInfo:{},isShowAdBtn:!1}},onShow(){},onLoad(){},methods:{closePopup(){a("log","at pages/home/subnvue/reward_page.nvue:76","&^^&^&^&&^&^&^&^&^&^&^guanbi tanhaung \u5173\u95ED\u8C08\u64E6\u80E1\u6B4C\u4F60"),uni.getSubNVueById("reward_ad_popup").hide("none",300)},loadRewardAd(){p.loadRewardAd({placementId:"b62ecb800e1f84"},o=>{o.code===0&&a("log","at pages/home/subnvue/reward_page.nvue:85","\u6FC0\u52B1\u89C6\u9891\u521D\u59CB\u5316\u5B8C\u6210\u8FD4\u56DE\u503C============>",o)})},openRewardAd(){p.isRewardAdReady({},o=>{o.code===0?p.gotoRewardVideoPlayPage({isAutoLoad:!0},t=>{if(t.code===0){let r=JSON.parse(t.message);r.type==="onRewardedVideoAdPlayEnd"&&(this.adResultInfo=r,this.isShowAdBtn=!0,a("log","at pages/home/subnvue/reward_page.nvue:102","reward-resultreward-resultreward-resultreward-result",r.ATAdInfo.showId,Math.floor(r.ATAdInfo.publisherRevenue*100)/100),uni.$emit("reward-result",{id:r.ATAdInfo.showId,gold:Math.floor(r.ATAdInfo.publisherRevenue*100)/100})),r.type==="onRewardedVideoAdClosed"&&(this.loadRewardAd(),this.adResultInfo?a("log","at pages/home/subnvue/reward_page.nvue:116",r.publisherRevenue):(this.adResultInfo=null,this.isShowAdBtn=!1))}a("log","at pages/home/subnvue/reward_page.nvue:125","\u6253\u5F00\u6FC0\u52B1\u89C6\u9891\u52A0\u8F7D\u8FD4\u56DE\u503C============>",t)}):p.loadRewardAd({placementId:"b62ecb800e1f84"},t=>{t.code===0&&a("log","at pages/home/subnvue/reward_page.nvue:133","\u6FC0\u52B1\u89C6\u9891\u521D\u59CB\u5316\u5B8C\u6210\u8FD4\u56DE\u503C============>",t)})})},handleFinish(){a("log","at pages/home/subnvue/reward_page.nvue:152",o.adResultInfo,"this.adResultInfothis.adResultInfothis.adResultInfothis.adResultInfo");let o=this;uni.$emit("handle-finish",{id:o.adResultInfo.ATAdInfo.showId,gold:Math.floor(o.adResultInfo.ATAdInfo.publisherRevenue*100)/100})}}};function E(o,t,r,n,s,l){let x=(0,e.resolveComponent)("progress"),m=(0,e.resolveComponent)("button"),b=(0,e.resolveComponent)("ZWF-TKBannerComponent");return(0,e.openBlock)(),(0,e.createElementBlock)("scroll-view",{scrollY:!0,showScrollbar:!0,enableBackToTop:!0,bubble:"true",style:{flexDirection:"column"}},[(0,e.createElementVNode)("view",{class:"reward_pages"},[(0,e.createElementVNode)("view",{style:{position:"relative"}},[(0,e.createElementVNode)("u-image",{src:S,class:"bg"}),(0,e.createElementVNode)("u-image",{src:B,class:"title"}),s.isShowAdBtn?(0,e.createCommentVNode)("",!0):((0,e.openBlock)(),(0,e.createElementBlock)("view",{key:0,style:{position:"absolute"}},[(0,e.createElementVNode)("u-image",{src:T,class:"hb"}),(0,e.createElementVNode)("view",{class:"progress"},[(0,e.createVNode)(x,{percent:s.percent,"stroke-width":"10","border-radius":"20","show-info":!1,activeColor:"#EB0000",backgroundColor:"#7E0000"},null,8,["percent"])]),s.isShowBtn?((0,e.openBlock)(),(0,e.createElementBlock)("u-image",{key:0,src:V,class:"btn",onClick:t[0]||(t[0]=(...i)=>l.openRewardAd&&l.openRewardAd(...i))})):(0,e.createCommentVNode)("",!0)])),s.isShowAdBtn?((0,e.openBlock)(),(0,e.createElementBlock)("view",{key:1,style:{width:"100%",height:"100%",position:"absolute"}},[(0,e.createElementVNode)("u-image",{src:N,class:"gold-bg"}),(0,e.createElementVNode)("u-text",{class:"gold"},(0,e.toDisplayString)(s.goldInfo.gold||0),1),(0,e.createElementVNode)("u-image",{src:P,class:"jxts-btn",onClick:t[1]||(t[1]=(...i)=>l.openRewardAd&&l.openRewardAd(...i))}),(0,e.createVNode)(m,{class:"text-btn",onClick:l.handleFinish},{default:(0,e.withCtx)(()=>[(0,e.createTextVNode)("\u5C0F\u989D\u6536\u4E0B")]),_:1},8,["onClick"])])):(0,e.createCommentVNode)("",!0)]),(0,e.createElementVNode)("u-image",{src:D,class:"close-btn",onClick:t[2]||(t[2]=(...i)=>l.closePopup&&l.closePopup(...i))})]),(0,e.createVNode)(b,{ref:"tkBanner",style:{width:"100%",height:"300rpx","background-color":"red"}},null,512)])}var d=_(j,[["render",E],["styles",[M]]]);var c=plus.webview.currentWebview();if(c){let o=parseInt(c.id),t="pages/home/subnvue/reward_page",r={};try{r=JSON.parse(c.__query__)}catch(s){}d.mpType="page";let n=Vue.createPageApp(d,{$store:getApp({allowDefault:!0}).$store,__pageId:o,__pagePath:t,__pageQuery:r});n.provide("__globalStyles",Vue.useCssStyles([...__uniConfig.styles,...d.styles||[]])),n.mount("#root")}})();
