"use weex:vue";

if (typeof Promise !== 'undefined' && !Promise.prototype.finally) {
  Promise.prototype.finally = function(callback) {
    const promise = this.constructor
    return this.then(
      value => promise.resolve(callback()).then(() => value),
      reason => promise.resolve(callback()).then(() => {
        throw reason
      })
    )
  }
};

if (typeof uni !== 'undefined' && uni && uni.requireGlobal) {
  const global = uni.requireGlobal()
  ArrayBuffer = global.ArrayBuffer
  Int8Array = global.Int8Array
  Uint8Array = global.Uint8Array
  Uint8ClampedArray = global.Uint8ClampedArray
  Int16Array = global.Int16Array
  Uint16Array = global.Uint16Array
  Int32Array = global.Int32Array
  Uint32Array = global.Uint32Array
  Float32Array = global.Float32Array
  Float64Array = global.Float64Array
  BigInt64Array = global.BigInt64Array
  BigUint64Array = global.BigUint64Array
};


(()=>{var m=Object.create;var i=Object.defineProperty;var g=Object.getOwnPropertyDescriptor;var v=Object.getOwnPropertyNames;var y=Object.getPrototypeOf,h=Object.prototype.hasOwnProperty;var w=(e,o)=>()=>(o||e((o={exports:{}}).exports,o),o.exports);var b=(e,o,s,p)=>{if(o&&typeof o=="object"||typeof o=="function")for(let r of v(o))!h.call(e,r)&&r!==s&&i(e,r,{get:()=>o[r],enumerable:!(p=g(o,r))||p.enumerable});return e};var _=(e,o,s)=>(s=e!=null?m(y(e)):{},b(o||!e||!e.__esModule?i(s,"default",{value:e,enumerable:!0}):s,e));var a=w((j,u)=>{u.exports=Vue});var k=_(a());function n(e,o,...s){uni.__log__?uni.__log__(e,o,...s):console[e].apply(console,[...s,o])}var d=(e,o)=>{let s=e.__vccOpts||e;for(let[p,r]of o)s[p]=r;return s};var t=_(a()),x={"scroll-disabled":{"":{flex:1}},video:{"":{width:"750rpx",flex:1,backgroundColor:"#000000"}}},X={data(){return{}},onShow(){setTimeout(()=>{this.destroyXsp(),this.showXspPage()},200)},onHide(){this.destroyXsp()},methods:{showXspPage(){var e={};this.$refs.csjXsp.showPage(e,o=>{n("log","at pages/home/play_video.nvue:27",o)})},destroyXsp(){var e={};this.$refs.csjXsp.destroyXsp(e,o=>{n("log","at pages/home/play_video.nvue:34",o)})}}};function C(e,o,s,p,r,$){let f=(0,t.resolveComponent)("ZWF-CsjXspComponent");return(0,t.openBlock)(),(0,t.createElementBlock)("scroll-view",{scrollY:!0,showScrollbar:!0,enableBackToTop:!0,bubble:"true",style:{flexDirection:"column"}},[(0,t.createElementVNode)("view",{class:"scroll-disabled"},[(0,t.createVNode)(f,{ref:"csjXsp",class:"video"},null,512)])])}var l=d(X,[["render",C],["styles",[x]]]);var c=plus.webview.currentWebview();if(c){let e=parseInt(c.id),o="pages/home/play_video",s={};try{s=JSON.parse(c.__query__)}catch(r){}l.mpType="page";let p=Vue.createPageApp(l,{$store:getApp({allowDefault:!0}).$store,__pageId:e,__pagePath:o,__pageQuery:s});p.provide("__globalStyles",Vue.useCssStyles([...__uniConfig.styles,...l.styles||[]])),p.mount("#root")}})();
