"use weex:vue";

if (typeof Promise !== 'undefined' && !Promise.prototype.finally) {
  Promise.prototype.finally = function(callback) {
    const promise = this.constructor
    return this.then(
      value => promise.resolve(callback()).then(() => value),
      reason => promise.resolve(callback()).then(() => {
        throw reason
      })
    )
  }
};

if (typeof uni !== 'undefined' && uni && uni.requireGlobal) {
  const global = uni.requireGlobal()
  ArrayBuffer = global.ArrayBuffer
  Int8Array = global.Int8Array
  Uint8Array = global.Uint8Array
  Uint8ClampedArray = global.Uint8ClampedArray
  Int16Array = global.Int16Array
  Uint16Array = global.Uint16Array
  Int32Array = global.Int32Array
  Uint32Array = global.Uint32Array
  Float32Array = global.Float32Array
  Float64Array = global.Float64Array
  BigInt64Array = global.BigInt64Array
  BigUint64Array = global.BigUint64Array
};


(()=>{var g=Object.create;var c=Object.defineProperty;var m=Object.getOwnPropertyDescriptor;var N=Object.getOwnPropertyNames;var V=Object.getPrototypeOf,h=Object.prototype.hasOwnProperty;var y=(e,n)=>()=>(n||e((n={exports:{}}).exports,n),n.exports);var B=(e,n,o,u)=>{if(n&&typeof n=="object"||typeof n=="function")for(let t of N(n))!h.call(e,t)&&t!==o&&c(e,t,{get:()=>n[t],enumerable:!(u=m(n,t))||u.enumerable});return e};var d=(e,n,o)=>(o=e!=null?g(V(e)):{},B(n||!e||!e.__esModule?c(o,"default",{value:e,enumerable:!0}):o,e));var a=y((k,p)=>{p.exports=Vue});var x=d(a());function i(e){return weex.requireModule(e)}var b=(e,n)=>{let o=e.__vccOpts||e;for(let[u,t]of n)o[u]=t;return o};var r=d(a());i("ZWF-TakuModule");var v={onShow(){},onLoad(){i("globalEvent").addEventListener("onBannerClose",function(n){uni.getSubNVueById("home_banner_ad").hide("fade-out",300),uni.getSubNVueById("invitation_banner_ad").hide("fade-out",300),uni.getSubNVueById("more_banner_ad").hide("fade-out",300),uni.getSubNVueById("mine_banner_ad").hide("fade-out",300),uni.getSubNVueById("video_banner_ad").hide("fade-out",300),closeAd()})},methods:{closeAd(){this.$refs.tkBanner.destroyBanner(options,e=>{uni.getSubNVueById("home_banner_ad").hide("fade-out",300)})},loadBannerAd(){this.$refs.tkBanner.loadBannerAd({},e=>{})}}};function w(e,n,o,u,t,f){let l=(0,r.resolveComponent)("ZWF-TKBannerComponent");return(0,r.openBlock)(),(0,r.createElementBlock)("scroll-view",{scrollY:!0,showScrollbar:!0,enableBackToTop:!0,bubble:"true",style:{flexDirection:"column"}},[(0,r.createVNode)(l,{ref:"tkBanner",style:{width:"100%",height:"150rpx","background-color":"transparent"}},null,512)])}var s=b(v,[["render",w]]);var _=plus.webview.currentWebview();if(_){let e=parseInt(_.id),n="pages/home/subnvue/banner_page",o={};try{o=JSON.parse(_.__query__)}catch(t){}s.mpType="page";let u=Vue.createPageApp(s,{$store:getApp({allowDefault:!0}).$store,__pageId:e,__pagePath:n,__pageQuery:o});u.provide("__globalStyles",Vue.useCssStyles([...__uniConfig.styles,...s.styles||[]])),u.mount("#root")}})();
